<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    Task501.30
</body>
<script>
    var array = [10, 20, 30, 40, 50];
    var x = 0;
    var y = 2;
    const fromIndex = array[x];
    const toIndex = y;
    console.log(fromIndex);

    const element = array.splice(fromIndex, 1)[0];
    console.log(element);

   var newArr = arr.splice(toIndex, 0, element);

    onsole.log(newArr); 

</script>

</html>